
// LIQUIDS

textures/eksha_q1/lava1
{
     qer_editorimage textures/quake1textureshd/lava1.tga
	 qer_lightimage textures/quake1textureshd/lava1.tga
	 q3map_globaltexture
     surfaceparm noimpact
     surfaceparm lava
	 surfaceparm nolightmap
	 cull disable
	 q3map_surfacelight 800
	 q3map_tessSize 16
	 deformVertexes wave 64 sin .5 0.5 0 .5	
	 sort 8
	 { 
	    map textures/quake1textureshd/lava1.tga
		tcMod turb 0 .1 0 .2
		blendfunc GL_ONE GL_ZERO
		rgbGen identity
     }
	 {
	 map textures/quake1textureshd/lava1_luma.tga
	 tcMod turb 0 .1 0 .2
	 blendfunc add
	 rgbGen identity
	 }
}

textures/eksha_q1/lava1_nodeform
{
     qer_editorimage textures/quake1textureshd/lava1.tga
	 qer_lightimage textures/quake1textureshd/lava1.tga
	 q3map_globaltexture
     surfaceparm noimpact
     surfaceparm lava
	 surfaceparm nolightmap
	 cull disable
	 q3map_surfacelight 800
	 sort 8
	 { 
	    map textures/quake1textureshd/lava1.tga
		tcMod turb 0 .1 0 .2
		blendfunc GL_ONE GL_ZERO
		rgbGen identity
     }
	 {
	 map textures/quake1textureshd/lava1_luma.tga
	 tcMod turb 0 .1 0 .2
	 blendfunc add
	 rgbGen identity
	 }
}

textures/eksha_q1/slime0
{
			qer_editorimage textures/quake1textureshd/slime0.tga
			surfaceparm noimpact
			surfaceparm slime
			cull disable
			q3map_tessSize 16
			q3map_globaltexture
			deformVertexes wave 64 sin .5 0.5 0 .5	
			sort 8
			{
				map textures/quake1textureshd/slime0.tga
				tcMod scroll .01 .01
				tcMod turb 0 .2 0 .1
			}
}

textures/eksha_q1/slime0_lightmapped
{
			qer_editorimage textures/quake1textureshd/slime0.tga
			surfaceparm noimpact
			surfaceparm slime
			cull disable
			q3map_tessSize 16
			q3map_globaltexture
			deformVertexes wave 64 sin .5 0.5 0 .5	
			sort 8
	   		{
	     		map $lightmap
	      		rgbGen identity
	   		}
	   		{
		  		map textures/quake1textureshd/slime0.tga
		  		blendfunc filter
		  		tcMod scroll .01 .01
		  		tcMod turb 0 .2 0 .1
	   		}
}

textures/eksha_q1/slime0_nodeform
{
			qer_editorimage textures/quake1textureshd/slime0.tga
			surfaceparm noimpact
			surfaceparm slime
			cull disable
			sort 8
			{
				map textures/quake1textureshd/slime0.tga
				tcmod scroll .01 .01
				tcMod turb 0 .2 0 .1
			}
}

textures/eksha_q1/water1
{
     		qer_editorimage textures/quake1textureshd/water1.tga
     		surfaceparm noimpact
     		surfaceparm water
	 		cull disable
	 		q3map_tessSize 16
	 		q3map_globaltexture
	 		deformVertexes wave 64 sin .5 0.5 0 .5	
	 		sort 8
	 		{ 
	    		map textures/quake1textureshd/water1.tga
				tcmod scroll .01 .01
				tcMod turb 0 .2 0 .1
     		}
}

textures/eksha_q1/water1_nodeform
{
     		qer_editorimage textures/quake1textureshd/water1.tga
     		surfaceparm noimpact
     		surfaceparm water
	 		cull disable
	 		sort 8
	 		{ 
	    		map textures/quake1textureshd/water1.tga
				tcMod scroll .01 .01
				tcMod turb 0 .2 0 .1
     		}
}

textures/eksha_q1/water0
{
     		qer_editorimage textures/quake1textureshd/water0.tga
    		 surfaceparm noimpact
     		surfaceparm water
	 		cull disable
	 		q3map_tessSize 16
	 		q3map_globaltexture
	 		deformVertexes wave 64 sin .5 0.5 0 .5	
	 		sort 8
	 		{ 
	    		map textures/quake1textureshd/water0.tga
				tcMod scroll .01 .01
				tcMod turb 0 .2 0 .1
     		}
}

textures/eksha_q1/water0_nodeform
{
     		qer_editorimage textures/quake1textureshd/water0.tga
     		surfaceparm noimpact
     		surfaceparm water
	 		cull disable
	 		sort 8
	 		{ 
	    		map textures/quake1textureshd/water0.tga
				tcMod scroll .01 .01
				tcMod turb 0 .2 0 .1
     		}
}

// FOGS

textures/eksha_q1/lava1_fog
{
               qer_editorimage textures/quake1textureshd/lavafog.tga
               surfaceparm   trans
               surfaceparm   nonsolid
               surfaceparm   fog
               surfaceparm   nolightmap
               qer_nocarve
               fogparms ( 0.44 0.06 0.01 ) 256

}

textures/eksha_q1/slime0_fog
{
               qer_editorimage textures/quake1textureshd/slime0fog.tga
               surfaceparm   trans
               surfaceparm   nonsolid
               surfaceparm   fog
               surfaceparm   nolightmap
               qer_nocarve
               fogparms ( 0.14 0.1 0.01 ) 256
}

textures/eksha_q1/portal
{
			qer_editorimage textures/quake1textureshd/teleport.tga
			surfaceparm nolightmap
			surfaceparm nomarks
			nopicmip
			novlcollapse
			{
				map textures/quake1textureshd/teleport.tga
				tcMod scroll .01 .01
				tcMod turb 0 .2 0 .1
				tcMod stretch sin 1 .1 0 .1
			}
}

// SKIES

textures/eksha_q1/sky4
{
			qer_editorimage textures/quake1textureshd/sky4_solid.tga
			surfaceparm noimpact
			surfaceparm nolightmap
			surfaceparm sky
			q3map_globaltexture
			q3map_sunExt .36 .28 .49 20 96 90 3 16
			q3map_skylight 50 5
			skyparms - 512 -

			{
				map textures/quake1textureshd/sky4_solid.tga
				tcMod scale 5 5
	    		tcMod scroll -0.04 -0.04
			}
			{
				map textures/quake1textureshd/sky4_alpha_asd.tga
				blendfunc add
				tcMod scale 10 10
				tcMod scroll -0.16 -0.16
			}
}

// LIGHTS

textures/eksha_q1/light3_7
{
    qer_editorimage textures/quake1textureshd/light3_7
	surfaceparm nomarks
	q3map_surfacelight 400
	{
                map $lightmap
                rgbGen identity
                }
                {
                map textures/quake1textureshd/light3_7.tga
                blendfunc filter
                }
				{
				map textures/quake1textureshd/light3_7_luma.tga
				rgbGen identity
				blendfunc add
				}
}

textures/eksha_q1/light3_6
{
    qer_editorimage textures/quake1textureshd/light3_6
	surfaceparm nomarks
	q3map_surfacelight 400
	{
                map $lightmap
                rgbGen identity
                }
                {
                map textures/quake1textureshd/light3_6.tga
                blendfunc filter
                }
				{
				map textures/quake1textureshd/light3_6_luma.tga
				rgbGen identity
				blendfunc add
				}
}
	    
textures/eksha_q1/tlight01_bright
{  
        qer_editorimage textures/quake1textureshd/tlight01.tga
        surfaceparm nomarks
        q3map_surfacelight 1000
	    q3map_nolightmap
 
        {
                map $lightmap
                rgbGen identity
        }
		{
		        map textures/quake1textureshd/tlight01.tga
		        blendfunc filter
	    }
		{
		        map textures/quake1textureshd/tlight01_luma.tga
				rgbGen identity
				blendfunc add
		}
}

textures/eksha_q1/light1_7
{
        qer_editorimage textures/quake1textureshd/light1_7.tga
		surfaceparm nomarks
		q3map_surfacelight 200
		{
		     map $lightmap
			 rgbGen identity
		}
		{
		     map textures/quake1textureshd/light1_7.tga
			 blendfunc filter
		}
		{
		     map textures/quake1textureshd/light1_7_luma.tga
			 rgbGen identity
			 blendfunc add
		}
}

textures/eksha_q1/light3_5
{
        qer_editorimage textures/quake1textureshd/light3_5.tga
		surfaceparm nomarks
		q3map_surfacelight 500
		{
		     map $lightmap
			 rgbGen identity
		}
		{
		     map textures/quake1textureshd/light3_5.tga
			 blendfunc filter
		}
		{
		     map textures/quake1textureshd/light3_5_luma.tga
			 rgbGen identity
			 blendfunc add
		}
}
// FLAMES

textures/eksha_q1/flame1
{
    qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 200
	deformVertexes autosprite2
	nopicmip
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin .6 .2 0 .6	
	}
}

// WINDOWS

textures/eksha_q1/window01_light
{
        qer_editorimage textures/quake1textureshd/window01_1.tga
        surfaceparm nomarks
        q3map_surfacelight 350
		q3map_nolightmap
 
        {
                map $lightmap
                rgbGen identity
        }
        {
                map textures/quake1textureshd/window01_1.tga
				blendfunc gl_one gl_zero 
		        rgbGen identity
        }
}

textures/eksha_q1/window01_mirrored_light
{
                qer_editorimage textures/quake1textureshd/window01_1_mirrored.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_1_mirrored.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
				}
}
 
textures/eksha_q1/window01_2_light
{
                qer_editorimage textures/quake1textureshd/window01_2.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_2.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window01_2_mirrored_light
{
                qer_editorimage textures/quake1textureshd/window01_2_mirrored.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_2_mirrored.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window01_3_light
{
                qer_editorimage textures/quake1textureshd/window01_3.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_3.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window01_3_mirrored_light
{
                qer_editorimage textures/quake1textureshd/window01_3_mirrored.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_3_mirrored.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window01_4_light
{
                qer_editorimage textures/quake1textureshd/window01_4.tga
                surfaceparm nomarks
                q3map_surfacelight 350
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window01_4.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window02_1_light
{
                qer_editorimage textures/quake1textureshd/window02_1.tga
                surfaceparm nomarks
                q3map_surfacelight 350 
				q3map_nolightmap
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window02_1.tga
                		blendfunc gl_one gl_zero 
                		rgbGen identity
                }
}

textures/eksha_q1/window1_2_light
{
                qer_editorimage textures/quake1textureshd/window1_2.tga
                surfaceparm nomarks
                q3map_surfacelight 250
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window1_2.tga
                		blendfunc filter
                		rgbGen identity
                }
				{
						map textures/quake1textureshd/window1_2_glow.tga
						rgbGen identity
						blendfunc add
				}
}

textures/eksha_q1/window1_3_light
{
                qer_editorimage textures/quake1textureshd/window1_3.tga
                surfaceparm nomarks
                q3map_surfacelight 250
 
                {
                		map $lightmap
                		rgbGen identity
                }
                {
                		map textures/quake1textureshd/window1_3.tga
                		blendfunc filter
                }
				{
						map textures/quake1textureshd/window1_3_glow.tga
						rgbGen identity
						blendfunc add
				}
}
